aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-10-18 09:27:16 +0200
committerAndrew Ammerlaan <andrewammerlaan@riseup.net>2020-10-18 09:27:16 +0200
commit158c38891e6128320e883a1427680cc03237ba60 (patch)
tree9d8e31b4d973c331b9c000af926534b96a4846ab /dev-python/httpx/httpx-0.16.1.ebuild
parentapp-admin/customrescuecd-x86_64: version bump to 0.11.0 (diff)
downloadguru-158c38891e6128320e883a1427680cc03237ba60.tar.gz
guru-158c38891e6128320e883a1427680cc03237ba60.tar.bz2
guru-158c38891e6128320e883a1427680cc03237ba60.zip
dev-python/httpx: version bump 0.16.1
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Andrew Ammerlaan <andrewammerlaan@riseup.net>
Diffstat (limited to 'dev-python/httpx/httpx-0.16.1.ebuild')
-rw-r--r--dev-python/httpx/httpx-0.16.1.ebuild61
1 files changed, 61 insertions, 0 deletions
diff --git a/dev-python/httpx/httpx-0.16.1.ebuild b/dev-python/httpx/httpx-0.16.1.ebuild
new file mode 100644
index 00000000..f3ee5315
--- /dev/null
+++ b/dev-python/httpx/httpx-0.16.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8} )
+
+DOCBUILDER="mkdocs"
+DOCDEPEND="dev-python/mkdocs-material"
+AUTODOC=1
+
+inherit distutils-r1 docs
+
+DESCRIPTION="A next generation HTTP client for Python"
+HOMEPAGE="
+ https://www.python-httpx.org
+ https://github.com/encode/httpx
+ https://pypi.org/project/httpx
+"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/certifi[${PYTHON_USEDEP}]
+ dev-python/chardet[${PYTHON_USEDEP}]
+ dev-python/hstspreload[${PYTHON_USEDEP}]
+ ~dev-python/httpcore-0.10.1[${PYTHON_USEDEP}]
+ dev-python/hyper-h2[${PYTHON_USEDEP}]
+ dev-python/h11[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/rfc3986[${PYTHON_USEDEP}]
+ dev-python/sniffio[${PYTHON_USEDEP}]
+ dev-python/urllib3[${PYTHON_USEDEP}]
+"
+
+DEPEND="test? (
+ dev-python/attrs[${PYTHON_USEDEP}]
+ dev-python/brotlipy[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/isort[${PYTHON_USEDEP}]
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-trio[${PYTHON_USEDEP}]
+ dev-python/trio[${PYTHON_USEDEP}]
+ dev-python/trustme[${PYTHON_USEDEP}]
+ dev-python/uvicorn[${PYTHON_USEDEP}]
+)"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # do not depend on pytest-cov
+ sed -i -e '/addopts/d' setup.cfg || die
+
+ distutils-r1_python_prepare_all
+}